#!/usr/bin/ruby

require 'rubygems'
require 'dbi'
require 'cgi'

require 'conf'
db=$db

page="Blagues"
subpage="Aléatoire"

require 'header'
puts header_bdg()
cgi=$cgi

require 'menu'
puts menu_bdg(page,subpage)

puts <<HTML_BDG
		<table id="milieu">
			<tr>
				<td id="gauche"><h1><a href="./">Quelques blagues au hasard</a></h1>
HTML_BDG

total = 0
db.execute("SELECT COUNT(*) FROM blague").each { |row| total = row[0] }

if total < 5
	count = total
else
	count = 5
end

displayed = Hash.new()

i = 0
until i == count
db.execute("SELECT id,titre,auteur,blague,DATE_FORMAT(date_post, '%e/%c/%Y'),voteplus,voteminus FROM blague WHERE ID=#{rand(total)+1}").each { |row|
	if displayed["#{row[0]}"] == true
		next
	else
		displayed["#{row[0]}"] = true
	end

	unless row[1] == ""
		if i.modulo(2) == 1 
			parity = " impair"
		else
			parity = ""
		end
		i += 1
		puts <<HTML_BDG

					<div class="Blague#{parity}">
					<div class="titre"><h3>\##{row[0]} - #{CGI::escapeHTML(row[1])} <span class="vote">( #{row[5]} / #{row[6]} )</span></h3></div>
						<p class="contenu">#{CGI::escapeHTML(row[3]).gsub(/\r\n|\r|\n/,"<br />")}</p><p class="by">post&eacute; par #{CGI::escapeHTML(row[2])} le #{row[4]}</p>
					</div>
					
HTML_BDG

	end
	}
end

require 'infos'
puts infos_bdg()

puts <<HTML_BDG
			</tr>
		</table>
	</body>
</html>
HTML_BDG
